g2bAPI Reference
Review

Get thread review evidence

Returns the bounded candidate-tree diff, changed-file and line summary, candidate_revision, and pull-request checks for project_repository_id in an owned thread.

GET
/v1/threads/{id}/review

Returns the bounded candidate-tree diff, changed-file and line summary, candidate_revision, and pull-request checks for project_repository_id in an owned thread.

Authorization

bearerAuth
AuthorizationBearer <token>

Create an API key in g2b Settings, then send it as a Bearer token.

In: header

Path Parameters

id*string
Length1 <= length <= 256

Query Parameters

project_repository_id*string
Length1 <= length <= 256

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/threads/string/review?project_repository_id=string"
{  "thread_id": "string",  "project_id": "string",  "project_repository_id": "string",  "diff": {    "diff": "string",    "files": [      {        "path": "string",        "status": "modified"      }    ],    "status": "no_sandbox",    "candidate_revision": "string",    "truncated": true  },  "stats": {    "additions": 0,    "deletions": 0  },  "publication": {    "projectRepositoryId": "string",    "repository": {      "owner": "string",      "name": "string"    },    "prNumber": 1,    "prUrl": "http://example.com",    "branch": "string",    "headSha": "string",    "state": "open",    "mergeable": true,    "mergeableState": "string",    "checks": [      {        "id": 0,        "name": "string",        "status": "queued",        "conclusion": "string",        "detailsUrl": "string",        "startedAt": "string",        "completedAt": "string"      }    ],    "commitStatuses": [      {        "id": 0,        "context": "string",        "state": "error",        "targetUrl": "string"      }    ],    "checksAggregate": "none",    "lastSyncedAt": "string"  }}